# AppBar

**The App Bar displays information and actions relating to the current screen.**

The top App Bar provides content and actions related to the current screen. It's used for branding, screen titles, navigation, and actions.

## AppBar with Custom Drawer

![](/files/-MAgJM7-ODa-yOThG4bh)

```
$Drawer = New-UDDrawer -Children {
    New-UDList -Children {
        New-UDListItem -Label "Home"
        New-UDListItem -Label "Getting Started" -Children {
            New-UDListItem -Label "Installation" -OnClick {}
            New-UDListItem -Label "Usage" -OnClick {}
            New-UDListItem -Label "FAQs" -OnClick {}
            New-UDListItem -Label "System Requirements" -OnClick {}
            New-UDListItem -Label "Purchasing" -OnClick {}
        }
    }
}

New-UDAppBar -Position relative -Children { New-UDElement -Tag 'div' -Content { "Title" } } -Drawer $Drawer
```

## Footer

To create an app bar that is pinned to the bottom of the page, you can use the `-Footer` parameter.

```
New-UDAppBar -Children { "Hello" } -Footer
```

**New-UDAppBar**

| Name     | Type        | Description                                                                                                  | Required |
| -------- | ----------- | ------------------------------------------------------------------------------------------------------------ | -------- |
| Id       | String      | The ID of the component. It defaults to a random GUID.                                                       | false    |
| Drawer   | Hashtable   | A drawer that can be opened from this AppBar. Use New-UDDrawer to create a drawer to pass to this parameter. | false    |
| Children | ScriptBlock | Children of this AppBar. The children of an AppBar are commonly text and buttons.                            | false    |
| Position | String      | The position of this AppBar. A fixed position will override the default AppBar.                              | false    |
| Footer   | Switch      | Creates an app bar pinned to the bottom of the page.                                                         | false    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/v1/dashboard/components/surfaces/appbar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
